Name:                nodejs-iconv-lite
Version:             0.4.18
Release:             1
Summary:             Convert character encodings in pure JavaScript
License:             MIT
URL:                 https://github.com/ashtuchkin/iconv-lite
Source0:             https://github.com/ashtuchkin/iconv-lite/archive/v%{version}/nodejs-iconv-lite-%{version}.tar.gz
Patch0:              nodejs-iconv-lite-node10.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(iconv) npm(mocha) npm(semver)
%description
%{summary}.

%prep
%autosetup -p1 -n iconv-lite-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/iconv-lite
cp -pr package.json encodings/ lib/ \
    %{buildroot}%{nodejs_sitelib}/iconv-lite
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
rm test/dbcs-test.js
rm test/sbcs-test.js
mocha --reporter spec --grep .

%files
%doc README.md Changelog.md
%license LICENSE
%{nodejs_sitelib}/iconv-lite

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 0.4.18-1
- Package init
